<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import UserModule from "~/store/user";
@Component({})
export default class AuthRegisterComponent extends Vue {
	userModule = getModule(UserModule, this.$store);

	loading = false;
	isHidePassword = false;
	isHidePasswordReEnterpassword = false;

	user = {
		email: "",
		password: "",
	};
	reEnterPassword = "";

	get isRegisterSuccess() {
		return this.$store.state.user?.isRegisterSuccess || false;
	}

	created() {
		this.$router.push("/auth/login");
	}

	mounted() {
		this.$store.commit("user/setRegisterSuccess", false);
	}

	async onHandleRegister() {
		try {
			const reEmail =
				/^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
			if (!this.user.email) {
				return this.$pushNotification.error(`Please enter your email`);
			} else if (!reEmail.test(this.user.email)) {
				return this.$pushNotification.error(`Invalid email`);
			} else if (!this.user.password) {
				return this.$pushNotification.error(
					`Please enter your password`
				);
			} else if (this.user.password.length < 6) {
				return this.$pushNotification.error(
					`Password must be greater than 6`
				);
			}
			//  else if (this.user.password !== this.reEnterPassword) {
			// 	return this.$pushNotification.error(
			// 		`Two passwords do not match`
			// 	);
			// }
			this.loading = true;
			await this.$store.dispatch("user/register", {
				ctx: this,
				payload: this.user,
			});
		} catch (error) {
			console.log("error :>> ", error);
		} finally {
			this.loading = false;
		}
	}
}
</script>

<style>
/* .bg-logo {
	background: rgba(255, 255, 255, 0.16);
} */
#backgroundLinear {
	background: linear-gradient(180deg, #259ee9 100%, #0a78f9 100%);
}
</style>